# FairMQ: fair::mq::shmem::Region Struct Reference

fair::mq::shmem::Region Struct Reference
Collaboration diagram for fair::mq::shmem::Region:
[legend]

## Public Member Functions

| Region (Manager &manager, uint64_t id, uint64_t size, bool remote, RegionCallback callback=nullptr, const std::string &path="", int flags=0)
| Region (const Region &)=delete
| Region (Region &&)=delete
void | InitializeQueues ()
void | StartSendingAcks ()
void | SendAcks ()
void | StartReceivingAcks ()
void | ReceiveAcks ()
void | ReleaseBlock (const RegionBlock &)

## Public Attributes

Manager & | fManager
bool | fRemote
bool | fStop
std::string | fName
std::string | fQueueName
boost::interprocess::shared_memory_object | fShmemObject
FILE * | fFile
boost::interprocess::file_mapping | fFileMapping
boost::interprocess::mapped_region | fRegion
std::mutex | fBlockMtx
std::condition_variable | fBlockSendCV
std::vector< RegionBlock > | fBlocksToFree
const std::size_t | fAckBunchSize = 256
std::unique_ptr< boost::interprocess::message_queue > | fQueue
std::thread | fReceiveAcksWorker
std::thread | fSendAcksWorker
RegionCallback | fCallback

The documentation for this struct was generated from the following files:

- fairmq/shmem/Region.h
- fairmq/shmem/Region.cxx

privacy